/**
 * Token zur Darstellung einer Klammer.
 * 
 * @author Owyn
 * @version 2007-05-31
 */
public class Bracket extends Token {

    /**
     * Erzeugt einen neuen Klammer-Token.
     * 
     * @param t Typ der Klammer: '(' oder ')'
     */
    Bracket(char t) { type = t; }

    /**
     * Dummy-Methode, tut nichts.
     * 
     * @return 0
     */
    public int eval() { return 0; }

    /**
     * Dummy-Methode, tut nichts.
     * 
     * @return leerer String
     */
    public String prefix() { return ""; }

    /**
     * Dummy-Methode, tut nichts.
     * 
     * @return leerer String
     */
    public String infix() { return ""; }

    /**
     * Dummy-Methode, tut nichts.
     * 
     * @return leerer String
     */
    public String postfix() { return ""; }

    /**
     * Dummy-Methode, tut nichts.
     * 
     * @param o Dummy-Parameter
     */
    public void order(Order o) {}
}
