/**
 * Baumknoten und Token zur Darstellung eines Operators.
 * 
 * @author Owyn
 * @version 2007-05-31
 */
public class Op extends Token {

    Token left;
    Token right;
    
    /**
     * Erzeugt einen neuen Operator-Knoten.
     * 
     * @param t der Typ des Knotens: '+', '-', '*' oder '/'
     * @param l der linke Unterbaum
     * @param r der rechte Unterbaum
     */
    public Op(char t, Token l, Token r) {
        type = t;
        left = l;
        right = r;
    }
    
    /**
     * Erzeugt einen neuen Operator-Token.
     * 
     * @param t der Typ des Tokens: '+', '-', '*' oder '/'
     */
    public Op(char t) {
        type = t;
        left = null;
        right = null;
    }

    public Token left() { return left; }
    public Token right() { return right; }

    public int eval() {

        // HIER FEHLT WAS!!!
        
        System.err.println("Die Methode Op.eval ist noch nicht implementiert!"); // DIESE ZEILE MUSS WEG
        return 1; // DIESE ZEILE MUSS WEG
    }
    
    public String prefix() {

        // HIER FEHLT WAS!!!
        
        System.err.println("Die Methode Op.prefix ist noch nicht implementiert!"); // DIESE ZEILE MUSS WEG
        return ""; // DIESE ZEILE MUSS WEG
    }
    public String infix() {

        // HIER FEHLT WAS!!!
        
        System.err.println("Die Methode Op.infix ist noch nicht implementiert!"); // DIESE ZEILE MUSS WEG
        return ""; // DIESE ZEILE MUSS WEG
    }
    public String postfix() {

        // HIER FEHLT WAS!!!
                
        System.err.println("Die Methode Op.postfix ist noch nicht implementiert!"); // DIESE ZEILE MUSS WEG
        return ""; // DIESE ZEILE MUSS WEG
    }

    public int nodes() {

        // HIER FEHLT WAS!!!

        System.err.println("Die Methode Op.nodes ist noch nicht implementiert!"); // DIESE ZEILE MUSS WEG
        return 1; // DIESE ZEILE MUSS WEG
    }

    public int depth() {

        // HIER FEHLT WAS!!!
                
        System.err.println("Die Methode Op.depth ist noch nicht implementiert!"); // DIESE ZEILE MUSS WEG
        return 1; // DIESE ZEILE MUSS WEG
    }

    /**
     * Nummeriert den Baum ausgehend vom aktuellen Knoten unter Verwendung eines Zaehlers in Infix-Reihenfolge durch (wichtig fuer die Visualisierung).
     * 
     * @param o der Zaehler
     */
    public void order(Order o) {
        left.order(o);
        setOrd(++o.counter);
        right.order(o);
    }

}
